
Name: lxqt-session
Version: 0.12.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Patch0:  lxqt-session-0.9.0-fix-desktop-file.patch
Summary: Session manager for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#----------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}lxqt-devel >= 0.12.0
BuildRequires: lxqt-build-tools >= 0.4.0


%description
Session manager for the LXQt desktop

%prep
%setup -q %{name}-%{version}
%cmake_qt5 -DPULL_TRANSLATIONS=No


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/13LXQT
NAME=LXQT
ICON=lxqt
DESC=LXQT Environment
EXEC=%{_bindir}/startlxqt
SCRIPT:
exec %{_bindir}/startlxqt
EOF

%files
%{_bindir}/lxqt-leave
%{_bindir}/lxqt-session
%{_bindir}/lxqt-config-session
%{_bindir}/startlxqt
%{_sysconfdir}/xdg/autostart/lxqt-xscreensaver-autostart.desktop
%{_sysconfdir}/xdg/lxqt/lxqt.conf
%{_sysconfdir}/xdg/lxqt/session.conf
%{_sysconfdir}/xdg/lxqt/windowmanagers.conf
%{_sysconfdir}/xdg/openbox/lxqt-rc.xml
%exclude %{_datadir}/kdm/sessions/lxqt.desktop
%exclude %{_datadir}/xsessions/lxqt.desktop
%exclude %{_datadir}/applications/lxqt-leave.desktop
%{_datadir}/applications/lxqt-config-session.desktop
%{_datadir}/applications/lxqt-hibernate.desktop
%{_datadir}/applications/lxqt-lockscreen.desktop
%{_datadir}/applications/lxqt-logout.desktop
%{_datadir}/applications/lxqt-reboot.desktop
%{_datadir}/applications/lxqt-shutdown.desktop
%{_datadir}/applications/lxqt-suspend.desktop
%config %{_sysconfdir}/X11/wmsession.d/*
%{_mandir}/man1/*

%post
%{make_dm_session}

%postun
%{make_dm_session}


%changelog
* Tue Oct 24 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0

* Sat Apr 03 2016 bb <bb> 0.10.0-5pclos2016
- rebuild against backport upower

* Sun Apr 03 2016 bb <bb> 0.10.0-4pclos2016
- exclude non working desktop files after
- upower update

* Sat Apr 02 2016 bb <bb> 0.10.0-3pclos2016
- rebuild against updates

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- update
